function GetMCDate(mc) {
	if (typeof(mc) != 'Date')
		return new Date(mc);
	else
		return mc;
}

function GetNextMCDate(mc, cycle) {
	var mcDate = GetMCDate(mc);
	return mcDate.DateAdd('d', cycle);
}

function GetPrevMCDate(mc, cycle) {
	var mcDate = GetMCDate(mc);
	return mcDate.DateAdd('d', -cycle);
}

function GetOvulateDate(mc, cycle) {
	var mcDate = GetMCDate(mc);
	var nextOvul = mcDate.DateAdd('d', -15);
	var prevOvul = mcDate.DateAdd('d', cycle - 15);
	return {'PrevOvul':prevOvul, 'NextOvul':nextOvul };
}

function GetMonthMCDate(mc, cycle, year, month) {
	var Dates = new Array();
	var mcDate = GetMCDate(mc);
	var getMonth = new Date(year, month - 1, 1);
	var out = false;
	if (mcDate.DateDiff('m', getMonth) != 0) {
		if (mcDate.DateDiff('m', getMonth) > 0)
			var c = cycle;
		else
			var c = -cycle;
		while (mcDate.DateDiff('m', getMonth) > 0) {
			mcDate = mcDate.DateAdd('d', c);
			while (mcDate.DateDiff('m', getMonth) == 0) {
				Dates[Dates.length] = mcDate;
				mcDate = mcDate.DateAdd('d', c);
				out = true;
			}
			if (out)
				break;
		}
		if (!out && mcDate.DateDiff('m', getMonth) < 0) {
			Dates[0] = mcDate;
		}
	} else {
		Dates[0] = mcDate;
	}
	return Dates;
}

function Button_onMouseEnter(obj) {
	obj.src = 'Resources/Images/Buttons/onEnter.png';
}

function Button_onMouseExit(obj) {
	obj.src = 'Resources/Images/Buttons/Normal.png';
}

function Button_onMouseDown(obj) {
	obj.src = 'Resources/Images/Buttons/onMouseDown.png';
}

